---
title: Stop Sell Room Level
slug: stop-sell-room-level
createdAt: 2025-09-10T12:17:20.793Z
---

:::ApiMethodV2
```json
{
  "name": "Stop Sell Room Level",
  "method": "POST",
  "url": "https://wsb.bakuun.com/v2/push-ari/CPB46/881826",
  "description": "Pushes master stop-sell / open-sell status updates from Connectivity Partner to Bakuun.\n\nThis action communicates to Bakuun when a property or specific room type becomes closed (stop-sell) or open (sell-allowed) for given date ranges.\nIt ensures both systems maintain synchronized availability and restrictions.\n\nA \"Master\" restriction applies at the room level, regardless of rate plan.\n\nIf multiple records are sent, each represents a unique combination of roomCode and date range.\n",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "iBKpYJYZSJXvngOIIkoHV",
        "language": "json",
        "code": "{\n    \"sharePost\": \"string\",\n    \"sourceId\": \"string\",\n    \"propertyId\": \"string\",\n    \"action\": \"MasterClosedRQ\",\n    \"data\": [\n        {\n            \"startDateYmd\": \"YYYY-MM-DD\",\n            \"endDateYmd\": \"YYYY-MM-DD\",\n            \"roomId\": \"string\",\n            \"restriction\": \"Master\",\n            \"status\": \"string\"\n        }\n    ]\n}",
        "customLabel": ""
      },
      {
        "id": "aZQU18NCgqj1qJ4YU24VV",
        "language": "curl",
        "code": "curl --location 'https://wsb.bakuun.com/v2/push-ari/CPB46/881826' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json' \\\n--data '{\n  \"sharePost\": \"String\",\n  \"sourceId\": \"String\",\n  \"propertyId\": \"String\",\n  \"action\": \"String\",\n  \"data\": \"Array\",\n  \"startDateYmd\": \"String\",\n  \"endDateYmd\": \"String\",\n  \"roomId\": \"String\",\n  \"restriction\": \"String\",\n  \"status\": \"String\"\n}'",
        "customLabel": ""
      },
      {
        "id": "1U221WGLjpfT17IaegZP3",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'POST',\n   'url': 'https://wsb.bakuun.com/v2/push-ari/CPB46/881826',\n   'headers': {\n      'Accept': 'application/json',\n      'Content-Type': 'application/json'\n   },\n   body: JSON.stringify({\n      \"sharePost\": \"String\",\n      \"sourceId\": \"String\",\n      \"propertyId\": \"String\",\n      \"action\": \"String\",\n      \"data\": \"Array\",\n      \"startDateYmd\": \"String\",\n      \"endDateYmd\": \"String\",\n      \"roomId\": \"String\",\n      \"restriction\": \"String\",\n      \"status\": \"String\"\n   })\n\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "5M0RsmzBp1CzhOoSuN98Q",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"Accept\", \"application/json\");\nmyHeaders.append(\"Content-Type\", \"application/json\");\n\nvar raw = JSON.stringify({\n   \"sharePost\": \"String\",\n   \"sourceId\": \"String\",\n   \"propertyId\": \"String\",\n   \"action\": \"String\",\n   \"data\": \"Array\",\n   \"startDateYmd\": \"String\",\n   \"endDateYmd\": \"String\",\n   \"roomId\": \"String\",\n   \"restriction\": \"String\",\n   \"status\": \"String\"\n});\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   body: raw,\n   redirect: 'follow'\n};\n\nfetch(\"https://wsb.bakuun.com/v2/push-ari/CPB46/881826\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "AUbv2ytboYIWe_eWc4Nt1",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://wsb.bakuun.com/v2/push-ari/CPB46/881826\"\n\npayload = json.dumps({\n   \"sharePost\": \"String\",\n   \"sourceId\": \"String\",\n   \"propertyId\": \"String\",\n   \"action\": \"String\",\n   \"data\": \"Array\",\n   \"startDateYmd\": \"String\",\n   \"endDateYmd\": \"String\",\n   \"roomId\": \"String\",\n   \"restriction\": \"String\",\n   \"status\": \"String\"\n})\nheaders = {\n   'Accept': 'application/json',\n   'Content-Type': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "Vx7-WXUu1wDMXCwjvedSW",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://wsb.bakuun.com/v2/push-ari/CPB46/881826\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"Accept\"] = \"application/json\"\nrequest[\"Content-Type\"] = \"application/json\"\nrequest.body = JSON.dump({\n   \"sharePost\": \"String\",\n   \"sourceId\": \"String\",\n   \"propertyId\": \"String\",\n   \"action\": \"String\",\n   \"data\": \"Array\",\n   \"startDateYmd\": \"String\",\n   \"endDateYmd\": \"String\",\n   \"roomId\": \"String\",\n   \"restriction\": \"String\",\n   \"status\": \"String\"\n})\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "iBKpYJYZSJXvngOIIkoHV"
  },
  "results": {
    "languages": [
      {
        "id": "RquppNRlZjCPOoypIlGaQ",
        "language": "200",
        "code": "{\n  \"success\": true\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n}\n",
        "customLabel": ""
      },
      {
        "id": "dRZs8jB4xNurHJMHitksr",
        "language": "410",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 410,\n      \"message\": \"Unauthorized user\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "VEpOX-H3Btt_RmGiPiQgw",
        "language": "403",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 403,\n      \"message\": \"Invalid restriction status\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "x3-3wqTyTZcoCx65q-GRj",
        "language": "404",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 404,\n      \"message\": \"Invalid start date\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "OsE_4wQ4hzrfFbYh8f1d2",
        "language": "405",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 405,\n      \"message\": \"Invalid end date\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "Lj_1Hf7vO8tct2XKdtxMk",
        "language": "408",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 408,\n      \"message\": \"Processing error\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "blG8AeMu5AijmdJOGyKhg",
        "language": "415",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 415,\n      \"message\": \"Invalid authentication key\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "v7DTyC8tt-EF1edpJCYLI",
        "language": "416",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 416,\n      \"message\": \"Overlapping data range\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "nLD3WTwbLLSNehWjWy_z9",
        "language": "431",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 431,\n      \"message\": \"Invalid source  ID\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "lJ8BmZCuIGvA8mY2l4p03",
        "language": "417",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 442,\n      \"message\": \"Endpoint is not active\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "Ad3LhZ1RMC5690FpS3N0r",
        "language": "411",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 411,\n      \"message\": \"Invalid property mapping\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "-WvTkzQnCnCUKi_pOpB_i",
        "language": "451",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 451,\n      \"message\": \"Invalid room mapping\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "oemNoWKTAJjPwacK8APAp",
        "language": "429",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 453,\n      \"message\": \"Mapping is not active\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "51xs9wjhz7bq23vDiH4Xn",
        "language": "423",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 453,\n      \"message\": \"Invalid endpoint\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "qvHdFBqSVgRw131z22ysN",
        "language": "500",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 500,\n      \"message\": \"Internal server error\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "J4mxUvJ4AO7nrB9yYvJhb",
        "language": "502",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 502,\n      \"message\": \"Bad gateway\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "cdhGq4MAExO1TlVZpPoA-",
        "language": "503",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 503,\n      \"message\": \"Service unavailable\"\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "Men6SxhzchlyhkHPQdLEm",
        "language": "504",
        "code": "{\n  \"success\": false,\n  \"trackingId\": \"xxxxxxxxxxxxx\",\n  \"errors\": [\n    {\n      \"code\": 504,\n      \"message\": \"Endpoint request timed-out\"\n    }\n  ]\n}",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "RquppNRlZjCPOoypIlGaQ"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [
      {
        "name": "sharePost",
        "kind": "required",
        "type": "string",
        "description": "ID of the cake to getSystem-generated, human-readable secret API access key (unique per account).",
        "": "ID of the cake to getSystem-generated, human-readable secret API access key (unique per account)."
      },
      {
        "name": "sourceId",
        "kind": "required",
        "type": "string",
        "description": "Connectivity Partner identifier assigned by Bakuun (e.g. CPBXX)",
        "": "Connectivity Partner identifier assigned by Bakuun (e.g. CPBXX)"
      },
      {
        "name": "propertyId",
        "kind": "required",
        "type": "string",
        "description": "Unique property identifier (shared mapping between Bakuun and the Connectivity partner).",
        "": "Unique property identifier (shared mapping between Bakuun and the Connectivity partner)."
      },
      {
        "name": "action",
        "kind": "required",
        "type": "string",
        "description": "Always set as MasterClosedRQ",
        "": "Always set as MasterClosedRQ"
      },
      {
        "name": "data",
        "kind": "required",
        "type": "array",
        "description": "",
        "": "required"
      },
      {
        "name": "startDateYmd",
        "kind": "required",
        "type": "string",
        "description": "Start date of the update range, formatted as YYYY-MM-DD.",
        "": "Start date of the update range, formatted as YYYY-MM-DD."
      },
      {
        "name": "endDateYmd",
        "kind": "required",
        "type": "string",
        "description": "End date of the update range, formatted as YYYY-MM-DD.",
        "": "End date of the update range, formatted as YYYY-MM-DD."
      },
      {
        "name": "roomId",
        "kind": "required",
        "type": "string",
        "description": "ID identifying the room type (as mapped between Bakuun and the Connectivity partner).",
        "": "ID identifying the room type (as mapped between Bakuun and the Connectivity partner)."
      },
      {
        "name": "restriction",
        "kind": "required",
        "type": "string",
        "description": "Restriction type. For this action, always \"Master\".",
        "": "Restriction type. For this action, always \"Master\"."
      },
      {
        "name": "status",
        "kind": "required",
        "type": "string",
        "description": "Indicates closure or opening status:\n\"1\" = Closed / Stop-Sell\n\"0\" = Open / Sell-Allowed ",
        "": "Indicates closure or opening status:\n\"1\" = Closed / Stop-Sell\n\"0\" = Open / Sell-Allowed "
      }
    ],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Body Parameter",
    "value": "bodyDataParameters"
  },
  "hasTryItOut": false,
  "response": [
    {
      "name": "success",
      "kind": "optional",
      "type": "boolean",
      "description": ""
    },
    {
      "name": "trackingId",
      "kind": "optional",
      "type": "string",
      "description": "",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "stop-sell-room-level",
  "legacyHash": "tg6E7n_1lcAVjH6i-fYi-"
}
```
:::

